Bug 928576 (iris-kadu) - Review Request: iris-kadu - A library for working with the XMPP/Jabber protocol
Summary: Review Request: iris-kadu - A library for working with the XMPP/Jabber protocol
Keywords:
Status: CLOSED NOTABUG
Alias: iris-kadu
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 928572 928574 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW 863795 qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-03-28 01:23 UTC by Karol Trzcionka
Modified: 2016-07-15 16:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-15 16:20:09 UTC


Attachments (Terms of Use)

Description Karol Trzcionka 2013-03-28 01:23:18 UTC
Spec URL: http://karlik.fedorapeople.org/iris-kadu.spec
SRPM URL: http://karlik.fedorapeople.org/iris-kadu-1.0.0-1.20130327gite2ffad9a.fc20.src.rpm
Description: A library for working with the XMPP/Jabber protocol
It is the kadu's fork of iris library

New package with that library due to https://fedorahosted.org/fpc/ticket/230

Fedora Account System Username: karlik

Comment 1 Karol Trzcionka 2013-03-28 01:29:18 UTC
*** Bug 928574 has been marked as a duplicate of this bug. ***

Comment 2 Karol Trzcionka 2013-03-28 01:29:41 UTC
*** Bug 928572 has been marked as a duplicate of this bug. ***

Comment 3 Dominik 'Rathann' Mierzejewski 2013-03-28 12:33:13 UTC
Quick comment: %doc sections in %files are empty. Why include them?

Otherwise it looks fine.

I'll try to do a full review this weekend if time permits.

Comment 4 Karol Trzcionka 2013-03-28 13:38:30 UTC
Sorry, the %doc was added by default in template. I'll fulfill it in next release (include COPYING at least) but I think I can wait for full review to fix it with other comments (if any).

Comment 5 Mario Blättermann 2013-07-11 20:47:30 UTC
There is at least one external library bundled which have to be used from the Fedora repos instead of the bundled one:

jdns: http://delta.affinix.com/jdns/ (Fedora: qjdns)

The behavior of the project on top of iris-kadu is somewhat strange anyway. DeltaXMPP (https://delta.affinix.com/) seems to interlace the libraries and apps into each other arbitrarily, which makes it difficult to package certain components. However, jdns needs to be used from the Fedora package in any case. Moreover, we have a "iris" package, is it possible to use this instead of the -kadu version?

Comment 6 Karol Trzcionka 2013-07-11 22:01:16 UTC
(In reply to Mario Blättermann from comment #5)
> Moreover, we have a "iris" package, is it possible to use this
> instead of the -kadu version?
No, as you can see in fpc ticket, I've tried to compile kadu with "iris" package but it's failed. The core library lacks of features so I need to use forked version. Both libraries can be installed in the system and they don't conflict.

Comment 7 Kevin Kofler 2013-07-11 22:12:10 UTC
I don't think it makes sense to package an iris-kadu. The point of unbundling is to use the system iris (trying to merge the required patches into it), otherwise it might as well just stay bundled. Having a standalone iris-kadu package (of which kadu is the only user) brings no benefit over building this as part of kadu itself. Unbundling is only useful if you use the same library all the other packages use. I'm CCing the iris maintainer (hi Rex ;-) ).

As for jdns, yes, iris itself bundles that. There's a patch to fix that in the iris package.

Comment 8 Dominik 'Rathann' Mierzejewski 2013-11-15 13:52:58 UTC
Would it make sense to replace current libiris with kadu's forked version?

On the other hand, I see there's been some movement in libiris upstream recently, so maybe the fork is no longer necessary?

Comment 9 Ivan Romanov 2014-11-14 18:30:26 UTC
Fedora allready has jdns/qjdns package. No need to use bundled version.

Comment 10 Raphael Groner 2016-07-15 16:20:09 UTC
Closing here cause of FE-DEADREVIEW.


Note You need to log in before you can comment on or make changes to this bug.